AgentConnect
Agents

Read unified memory entry content

Reads one bounded content slice by an opaque entry ref. Missing content returns null; changes between slices conflict.

GET
/v1/orgs/{orgId}/agents/{id}/memory/entries/{ref}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string
ref*string
Length1 <= length <= 4096

Query Parameters

channelKey?string
Length1 <= length <= 256
cursor?string
Length1 <= length <= 2048
maxBytes?integer
Range4 <= value <= 32768
Default32768

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/agents/string/memory/entries/string"
{  "entry": {    "ref": "string",    "label": "string",    "description": "string",    "format": "markdown",    "byteSize": 0,    "createdAt": "string",    "updatedAt": "string",    "revision": "string",    "origin": "active",    "editable": true  },  "text": "string",  "complete": true,  "nextContentCursor": "string",  "metadata": {    "property1": null,    "property2": null  },  "links": [    {      "label": "string",      "ref": "string",      "exists": true    }  ],  "backlinks": [    {      "label": "string",      "ref": "string",      "exists": true    }  ]}